> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Settings

> Get app settings



## OpenAPI

````yaml get /app-settings
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /app-settings:
    get:
      tags:
        - app settings
      summary: Get App Settings
      description: Get app settings
      operationId: get_app_settings_app_settings_get
      parameters:
        - name: version
          in: query
          required: false
          schema:
            type: string
            description: Version of the app
            default: 1.0.0
            title: Version
          description: Version of the app
        - name: platform
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/AppPlatfomEnum'
            description: Platform of the app
            default: android
            title: Platform
          description: Platform of the app
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppSettingsGetResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AppPlatfomEnum:
      type: string
      enum:
        - android
        - ios
        - ru_store
      title: AppPlatfomEnum
    AppSettingsGetResponse:
      properties:
        platform:
          type: string
          title: Platform
        your_version:
          type: string
          title: Your Version
        current_version:
          type: string
          title: Current Version
        is_different:
          type: boolean
          title: Is Different
        update_type:
          type: string
          title: Update Type
      type: object
      required:
        - platform
        - your_version
        - current_version
        - is_different
        - update_type
      title: AppSettingsGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````